Package org.pgpainless.decryption_verification.syntax_check

# Enum Class InputSymbol

java.lang.Object
java.lang.Enum<InputSymbol>
org.pgpainless.decryption_verification.syntax_check.InputSymbol

All Implemented Interfaces:
  `Serializable`, `Comparable<InputSymbol>`, `Constable`

public enum InputSymbol extends Enum<InputSymbol>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CompressedData`
A `PGPCompressedData` packet.
`EncryptedData`
A `PGPEncryptedDataList` object.
`EndOfSequence`
Marks the end of a (sub-) sequence.
`LiteralData`
A `PGPLiteralData` packet.
`OnePassSignature`
A `PGPOnePassSignatureList` object.
`Signature`
A `PGPSignatureList` object.

## Method Summary

Modifier and Type
Method
Description
`static InputSymbol`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InputSymbol[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LiteralData

public static final InputSymbol LiteralData
A `PGPLiteralData` packet.

### Signature

public static final InputSymbol Signature
A `PGPSignatureList` object.

### OnePassSignature

public static final InputSymbol OnePassSignature
A `PGPOnePassSignatureList` object.

### CompressedData

public static final InputSymbol CompressedData
A `PGPCompressedData` packet. The contents of this packet MUST form a valid OpenPGP message, so a nested PDA is opened to verify its nested packet sequence.

### EncryptedData

public static final InputSymbol EncryptedData
A `PGPEncryptedDataList` object. This object combines multiple ESKs and the corresponding Symmetrically Encrypted (possibly Integrity Protected) Data packet.

### EndOfSequence

public static final InputSymbol EndOfSequence
Marks the end of a (sub-) sequence. This input is given if the end of an OpenPGP message is reached. This might be the case for the end of the whole ciphertext, or the end of a packet with nested contents (e.g. the end of a Compressed Data packet).

## Method Details

### values

public static InputSymbol[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InputSymbol valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null